package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;


import java.util.Date;
import java.util.Map;

/**
 * 操作订单评价模型
 *
 * @author nianchang
 * @date 2021/05/12 5:27 下午
 */
public class OperateOrderCommentDTO {

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 是否匿名 0:否 1:是
     */
    private Integer anonymous;

    /**
     * 用户备注
     */
    private String buyerRemarks;

    /**
     * 商家是否回复 0:未回复 1:已回复
     */
    private Integer sellerReply;

    /**
     * 商家回复信息
     */
    private String sellerReplyInfo;

    /**
     * 是否存在图片 0:不存在 1:存在
     */
    private Integer existImage;

    /**
     * 评论图片
     */
    private String commentImage;

    /**
     * 是否隐藏评论 0:不隐藏 1:隐藏
     */
    private Integer hide;

    /**
     * 扩展信息
     */
    private Map<String, Object> extraMap;

    /**
     * 是否精选 0:否 1:是
     */
    private Integer quality;

    /**
     * 是否有推荐菜 0:没有 1:有
     */
    private Integer existRecommend;

    /**
     * 配送评价
     * 0:超赞 1:一般 2:很差
     */
    private Integer deliveryComment;

    /**
     * 初次创建评论标记
     * 1：初次创建
     * 用于评论次数统计
     */
    private Integer firstCreate;

    /**
     * 商家回复时间
     */
    private Date replyAt;

    /**
     * 是否商品评价
     */
    private Integer isItemComment;

    /**
     * 操作人
     */
    private Long operator;

    /**
     * 操作类型
     */
    private String operation;

    /**
     * 角色
     * @see
     */
    private Integer role;

    /**
     * 评价级别
     * @see
     */
    private Integer commentLevel;

    /**
     * 操作时间
     */
    private Date operateAt;

    /**
     * 追评时间
     */
    private Date appendCommentAt;

    /**
     * 追评内容
     */
    private String appendCommentInfo;

    /**
     * 评价反馈
     * @see
     */
    private Integer commentFeedback;

    public Date getAppendCommentAt() {
        return appendCommentAt;
    }

    public void setAppendCommentAt(Date appendCommentAt) {
        this.appendCommentAt = appendCommentAt;
    }

    public String getAppendCommentInfo() {
        return appendCommentInfo;
    }

    public void setAppendCommentInfo(String appendCommentInfo) {
        this.appendCommentInfo = appendCommentInfo;
    }

    public Integer getCommentFeedback() {
        return commentFeedback;
    }

    public void setCommentFeedback(Integer commentFeedback) {
        this.commentFeedback = commentFeedback;
    }

    public Date getOperateAt() {
        return operateAt;
    }

    public void setOperateAt(Date operateAt) {
        this.operateAt = operateAt;
    }

    public Integer getCommentLevel() {
        return commentLevel;
    }

    public void setCommentLevel(Integer commentLevel) {
        this.commentLevel = commentLevel;
    }

    public Long getOperator() {
        return operator;
    }

    public void setOperator(Long operator) {
        this.operator = operator;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }

    public Integer getIsItemComment() {
        return isItemComment;
    }

    public void setIsItemComment(Integer isItemComment) {
        this.isItemComment = isItemComment;
    }

    public Date getReplyAt() {
        return replyAt;
    }

    public void setReplyAt(Date replyAt) {
        this.replyAt = replyAt;
    }

    public Integer getFirstCreate() {
        return firstCreate;
    }

    public void setFirstCreate(Integer firstCreate) {
        this.firstCreate = firstCreate;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getDeliveryComment() {
        return deliveryComment;
    }

    public void setDeliveryComment(Integer deliveryComment) {
        this.deliveryComment = deliveryComment;
    }

    public Integer getExistRecommend() {
        return existRecommend;
    }

    public void setExistRecommend(Integer existRecommend) {
        this.existRecommend = existRecommend;
    }

    public Integer getQuality() {
        return quality;
    }

    public void setQuality(Integer quality) {
        this.quality = quality;
    }

    public Integer getHide() {
        return hide;
    }

    public void setHide(Integer hide) {
        this.hide = hide;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Integer getAnonymous() {
        return anonymous;
    }

    public void setAnonymous(Integer anonymous) {
        this.anonymous = anonymous;
    }

    public String getBuyerRemarks() {
        return buyerRemarks;
    }

    public void setBuyerRemarks(String buyerRemarks) {
        this.buyerRemarks = buyerRemarks;
    }

    public Integer getSellerReply() {
        return sellerReply;
    }

    public void setSellerReply(Integer sellerReply) {
        this.sellerReply = sellerReply;
    }

    public String getSellerReplyInfo() {
        return sellerReplyInfo;
    }

    public void setSellerReplyInfo(String sellerReplyInfo) {
        this.sellerReplyInfo = sellerReplyInfo;
    }

    public Integer getExistImage() {
        return existImage;
    }

    public void setExistImage(Integer existImage) {
        this.existImage = existImage;
    }

    public String getCommentImage() {
        return commentImage;
    }

    public void setCommentImage(String commentImage) {
        this.commentImage = commentImage;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
